PickListControlsHelper (RichFaces JSF components library 3.2.1.GA API)
Keywords: org.richfaces.renderkit.PickListControlsHelper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class PickListControlsHelper

    java.lang.Object
      org.richfaces.renderkit.ListShuttleControlsHelper
          org.richfaces.renderkit.PickListControlsHelper

    public class PickListControlsHelper

extends ListShuttleControlsHelper

Author:
  Anton Belevich

Field Summary
`static java.lang.String` | `ATTRIBUTE_SOURCE_CAPTION_LABEL`
`static java.lang.String` | `ATTRIBUTE_TARGET_CAPTION_LABEL`
`static java.lang.String` | `BUNDLE_COPY_ALL_LABEL`
`static java.lang.String` | `BUNDLE_COPY_LABEL`
`static java.lang.String` | `BUNDLE_REMOVE_ALL_LABEL`
`static java.lang.String` | `BUNDLE_REMOVE_LABEL`
`static java.lang.String` | `CONTROL_ID_COPY`
`static java.lang.String` | `CONTROL_ID_COPY_ALL`
`static java.lang.String` | `CONTROL_ID_REMOVE`
`static java.lang.String` | `CONTROL_ID_REMOVE_ALL`
`static java.lang.String` | `DISABLED_STYLE_PREF`
`static java.lang.String` | `FACET_CAPTION`
`protected static OrderingComponentRendererBase.ControlsHelper[]` | `HELPERS`

Constructor Summary
`PickListControlsHelper()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUNDLE_COPY_ALL_LABEL

    public static final java.lang.String BUNDLE_COPY_ALL_LABEL

See Also:
  Constant Field Values

### BUNDLE_COPY_LABEL

    public static final java.lang.String BUNDLE_COPY_LABEL

See Also:
  Constant Field Values

### BUNDLE_REMOVE_ALL_LABEL

    public static final java.lang.String BUNDLE_REMOVE_ALL_LABEL

See Also:
  Constant Field Values

### BUNDLE_REMOVE_LABEL

    public static final java.lang.String BUNDLE_REMOVE_LABEL

See Also:
  Constant Field Values

### FACET_CAPTION

    public static final java.lang.String FACET_CAPTION

See Also:
  Constant Field Values

### ATTRIBUTE_SOURCE_CAPTION_LABEL

    public static final java.lang.String ATTRIBUTE_SOURCE_CAPTION_LABEL

See Also:
  Constant Field Values

### ATTRIBUTE_TARGET_CAPTION_LABEL

    public static final java.lang.String ATTRIBUTE_TARGET_CAPTION_LABEL

See Also:
  Constant Field Values

### CONTROL_ID_COPY_ALL

    public static final java.lang.String CONTROL_ID_COPY_ALL

See Also:
  Constant Field Values

### CONTROL_ID_COPY

    public static final java.lang.String CONTROL_ID_COPY

See Also:
  Constant Field Values

### CONTROL_ID_REMOVE

    public static final java.lang.String CONTROL_ID_REMOVE

See Also:
  Constant Field Values

### CONTROL_ID_REMOVE_ALL

    public static final java.lang.String CONTROL_ID_REMOVE_ALL

See Also:
  Constant Field Values

### DISABLED_STYLE_PREF

    public static final java.lang.String DISABLED_STYLE_PREF

See Also:
  Constant Field Values

### HELPERS

    protected static final OrderingComponentRendererBase.ControlsHelper[] HELPERS

Constructor Detail

### PickListControlsHelper

    public PickListControlsHelper()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.